# dkim_dns_close()

[back to index]

SYNOPSIS

    #include <dkim.h>
    int dkim_dns_close(
    	DKIM_LIB *libopendkim)
    );

Shuts down the DNS resolver in use by the library. This in turn calls either the compiled-in default or the replacement provided by a call to `dkim_dns_set_close()`. This is automatically called by `dkim_close()`.

DESCRIPTION

Called When | `dkim_dns_close()` can be called at any time.

ARGUMENTS

Argument | Description
--- | ---
libopendkim | The library instantiation handle, returned by `dkim_init()`.

RETURN VALUES

- `DKIM_DNS_SUCCESS` -- successful operation
- `DKIM_DNS_ERROR` -- an error occurred

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.